Bug 1417640 - Cannot enable keyboard backlight on Lenovo x240 using f25
Summary: Cannot enable keyboard backlight on Lenovo x240 using f25
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 13:34 UTC by Mark Flitter
Modified: 2019-01-09 12:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:36:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Mark Flitter 2017-01-30 13:34:14 UTC
Description of problem:

When using the "Fn"+"space" key combination, I am unable to switch the keyboard backlight state.


Version-Release number of selected component (if applicable):
kernel 4.9.5-200.fc25.x86_64 

How reproducible:
Every Time

Steps to Reproduce:
1.  Install f25 and update
2.  Try "Fn"+"space" key combo


Actual results:
no change in keyboard backlight state

Expected results:
change in keyboard backlight state


Additional info:
other Fn combo keys work without issue (sound, screen brightness, mic, wifi, etc)

[mflitter@localhost ~]$ ll -r /sys/class/leds/
total 0
lrwxrwxrwx. 1 root root 0 Jan 30 12:16 tpacpi::thinkvantage -> ../../devices/platform/thinkpad_acpi/leds/tpacpi::thinkvantage
lrwxrwxrwx. 1 root root 0 Jan 30 12:16 tpacpi::thinklight -> ../../devices/platform/thinkpad_acpi/leds/tpacpi::thinklight
lrwxrwxrwx. 1 root root 0 Jan 30 12:16 tpacpi::standby -> ../../devices/platform/thinkpad_acpi/leds/tpacpi::standby
lrwxrwxrwx. 1 root root 0 Jan 30 12:16 tpacpi::power -> ../../devices/platform/thinkpad_acpi/leds/tpacpi::power
lrwxrwxrwx. 1 root root 0 Jan 30 12:16 phy0-led -> ../../devices/pci0000:00/0000:00:1c.1/0000:03:00.0/leds/phy0-led
lrwxrwxrwx. 1 root root 0 Jan 30 12:15 input3::scrolllock -> ../../devices/platform/i8042/serio0/input/input3/input3::scrolllock
lrwxrwxrwx. 1 root root 0 Jan 30 12:15 input3::numlock -> ../../devices/platform/i8042/serio0/input/input3/input3::numlock
lrwxrwxrwx. 1 root root 0 Jan 30 12:15 input3::capslock -> ../../devices/platform/i8042/serio0/input/input3/input3::capslock


I can get info as required

Comment 1 Justin M. Forbes 2017-04-11 14:37:47 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 2 Mark Flitter 2017-04-13 13:03:26 UTC
Assuming 4.10.9-200.fc25 is a typo :-)

[mflitter@localhost ~]$ uname -r
4.10.8-200.fc25.x86_64


same behaviour as earlier.

This is not a blocker from my perspective and  if there are other priorities for f25, I'll revisit it once f26 Beta lands.

Comment 3 Fedora End Of Life 2017-11-16 18:48:40 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:36:35 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.